package org.artgasmator.service.impl;

import java.util.List;

import org.artgasmator.data.dao.AlbumGenreDao;
import org.artgasmator.model.AlbumGenre;
import org.artgasmator.service.AlbumGenreService;

public class AlbumGenreServiceImpl implements AlbumGenreService {

	private AlbumGenreDao albumGenreDao;
	
	public AlbumGenreDao getAlbumGenreDao() {
		return albumGenreDao;
	}

	public void setAlbumGenreDao(AlbumGenreDao albumGenreDao) {
		this.albumGenreDao = albumGenreDao;
	}

	public List<AlbumGenre> loadGenres() {
		
		return albumGenreDao.loadGenres();
	}

	
	public void createGenre(AlbumGenre albumGenre) {
		
		albumGenreDao.createGenre(albumGenre);
	}

	
	public void deleteGenre(Integer genreId) {
		
		albumGenreDao.deleteGenre(genreId);
	}
	
	

}
